
.cats-wrapper {
  width: 15rem;
  margin: 0 auto;
  position: relative; 
}

.cats-container {
  width: 100%;
  position: relative;
}


.cat-btn {
  padding: 1px 5px;
  display: inline-block;
  border: none;
  background: transparent;
  cursor: pointer;
  transition: all 0.3s ease;
  position: absolute;
  color: var(--text-color);
}

.cat-btn:hover, .cat-btn.open{
  background-color: var(--text-color);
  color: var(--bg-color);
}

.cat-btn h2 {
  font-size: 0.8rem;
  margin: 0;
}

.cat-btn--mila {
  top: 40%;
  right: 1rem;
}

.cat-btn--odin {
  bottom: 30%;
  left: 0.5rem;
}


.cat-box {
  display: none;
  width: 12rem;
  max-height: 15rem;
  margin: 1.5rem auto 0 auto;
  overflow-y: auto;
  overflow-x: hidden;
  scrollbar-width: thin;
  scrollbar-color: var(--text-color) var(--bg-color);
}

.cat-box.open {
  display: block;
}

@media (min-width: 50rem) {
  .cat-box {
    position: absolute;
    top: 0;
    margin: 0;
  }

  .cat-box--odin {
    right: calc(100% + 2rem); 
    top: 6rem;
  }


  .cat-box--mila {
    left: calc(100% + 3rem);  
    top: -3rem;
  }
}

.cat-text {
   font-size: 0.75rem;
   margin-bottom: 0.5rem;
}

.cat-text:first-of-type {
  margin-top: 0.5rem;
}
